<?php

namespace Database\Seeders;

use App\Models\User;
use Illuminate\Database\Seeder;

class UserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        // Create super admin user
        User::factory()->superAdmin()->create([
            'name' => 'Super Admin',
            'email' => 'admin@zemail.me',
        ]);

        // Create normal users
        User::factory()->normalUser()->count(5)->create();

        // Create banned users
        User::factory()->bannedUser()->count(2)->create();
    }
}
